# Ansible Role: mysqldump-sshd 💾 🐳

Single-user [OpenSSH server](https://www.openssh.com/)
launching `mysqldump` to backup
[mariadb](https://mariadb.com/kb/en/backup-and-restore-overview/)
and [mysql](https://dev.mysql.com/doc/refman/5.7/en/backup-types.html)
databases via SSH.

## Required Variables

```yaml
mysqldump_sshd_container_name: mysqldump_sshd
mysqldump_sshd_published_port: 2200
mysqldump_sshd_client_public_keys: |-
  ssh-rsa ...
  ssh-rsa ...
mysqldump_sshd_mysqldump_args: >-
  --host=dbhost
  --all-databases
  --single-transaction
  ...
mysqldump_sshd_network_name: database
```

## Optional Variables

```yaml
mysqldump_sshd_container_image: fphammerle/mysqldump-sshd@sha256:2ac782a8e35742a0f90ea71423567df92d0772ebc04845fdc5d141987d8fe078
```

## Returned Variables

```yaml
mysqldump_sshd_host_keys
```
